# MiniC Compiler 
LAB4 (simple code generation), MIF08 2019-20


# Authors

Laure Gonnord and Matthieu Moy for CAP and MIF08
+ YOUR NAME HERE


# Contents

 TODO for STUDENTS : Say a bit about the code infrastructure ...


# Howto

`make ` for a single run launches  : 
`python3 Main.py  --reg-alloc=none tests/step1/test00.c`
and produces 3 address code without register allocation in
`tests/step1/test00.s`. 

TODO : add other explanations for the rest of Lab4

+ how to launch unit tests


# Test design 

 Un seul test rajouté dans le step3

# Design choices

  TODO : explain your choices

# Known bugs

